package Servlet;

import Datos.EntrenamientoDB;
import java.io.IOException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class VerEntrenamientoServlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        
        String operacion = request.getParameter("operacion");
        String id_entrenamiento = request.getParameter("id_entrenamiento");
        String fecha = "";
        if(operacion.equals("PRI")){
            fecha = request.getParameter("fecha");
        }else{
            ArrayList<ArrayList<String>> entrenamientos = EntrenamientoDB.getEntrenamiento(id_entrenamiento);
            fecha = entrenamientos.get(0).get(2);
        }
        SimpleDateFormat formato = new SimpleDateFormat("yyyy-MM-dd");
        Date fecha_entrenamiento = null;
        String fechaP = "";
        try{
            fecha_entrenamiento = formato.parse(fecha);
            fechaP = fecha_entrenamiento.getDate()+"/"+(fecha_entrenamiento.getMonth()+1)+"/"+(fecha_entrenamiento.getYear()+1900);
        }catch(ParseException ex){
              ex.printStackTrace();
            }
        
        ArrayList<ArrayList<String>> lista_ejercicios = EntrenamientoDB.getEntrenamiento(id_entrenamiento);
        request.setAttribute("lista_ejercicios", lista_ejercicios);
        ArrayList <String> tiempoT = EntrenamientoDB.getTiempoEntrenamiento(id_entrenamiento);
        int tiempo_entrenamiento = 0;
        for(int i = 0; i<tiempoT.size();i++){
            tiempo_entrenamiento += Integer.parseInt(tiempoT.get(i));
        }

        String url = "/crearEntrenamiento4.jsp?id_entrenamiento="+id_entrenamiento+"&fecha="+fecha+"&fechaP="+fechaP+"&tiempoT="+tiempo_entrenamiento;
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);

    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
